Bug 115292 - Poor NFS performance with netapp filer
Poor NFS performance with netapp filer
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-10 05:53 EST by Peter Schauer
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Schauer 2004-02-10 05:53:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS i86pc; en-US; rv:1.3)
Gecko/20030402

Description of problem:
This is a IBM eserver 325, running RHEL 3 AMD64, connected to a netapp
F720
filer. The eserver is connected via a 100MB link to a switch, which is
connected via a GB FC to the netapp.

We are using autofs with NIS to mount directories from the filer.

RHEL 3 seems to default to use a rsize/wsize of 32768 with UDP with
the netapp,
which results in very poor performance with many nfsstat -c retrans
errors.

Using TCP or a rsize/wsize of 4096 fixes the performance problems, but
we cannot change the autofs maps as we are running in a heterogenous
environment, where we cannot force these parameters for other hosts on
the network (some can't do TCP, for many a rsize/wsize of 4096 is
contraproductive, and the options syntax is different for Linux and
Solaris
clients).

Currently we work around the problem by using a local file copy of the
auto.master map which we hack to use TCP, but this is not a long term
solution.
Older versions of RedHat kernels (9, 8.0 etc.) and SuSe SLES 8.1 kernels
limited the default UPD rsize/wsize to 4096, so they didn't cause the
problem.

Possible fixes:
- Default to use TCP mounts when the NFS server supports them.
or
- Limit UDP rsize/wsize defaults to 4096 like in older RedHat kernels.



Version-Release number of selected component (if applicable):
kernel-2.4.21-9.EL

How reproducible:
Always

Steps to Reproduce:
1.Copy file from/to netapp with default mount parameters.
2.
3.
    

Actual Results:  Very slow

Additional info:
Comment 1 Don Howard 2004-03-01 18:01:06 EST
Peter,  
 
Can you post nfsstat output and a pcap-format packet capture 
(including nfs fragments) that demonstrates the retransmit behavior? 
 
Comment 2 RHEL Product and Program Management 2007-10-19 15:30:16 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.